Bug 115689 - FILEOPEN: Highlighting on bullet point is not displayed
Summary: FILEOPEN: Highlighting on bullet point is not displayed
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Bullet-Number-Outline-Lists Highlight-Color
  Show dependency treegraph
 
Reported: 2018-02-13 16:49 UTC by Xisco Faulí
Modified: 2020-08-13 14:06 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
sample file (16.31 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2018-02-13 16:49 UTC, Xisco Faulí
Details
comparison MSO 2010 and LibreOffice 6.1 (281.44 KB, image/png)
2018-02-13 16:57 UTC, Xisco Faulí
Details
The example file in Word and current Writer master (94.78 KB, image/png)
2020-05-14 15:30 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2018-02-13 16:49:56 UTC
Created attachment 139871 [details]
sample file

Steps to reproduce:
1. Open attached document

Observed behaviour: Highlighting on bullet point is not displayed. See attached image.

Version: 6.1.0.0.alpha0+
Build ID: 37a2830387f437cf57104f7f509ec59944004e4d
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

[Bug found by office-interoperability-tools]
Comment 1 Xisco Faulí 2018-02-13 16:57:27 UTC
Created attachment 139872 [details]
comparison MSO 2010 and LibreOffice 6.1
Comment 2 Xisco Faulí 2018-02-13 16:58:38 UTC
Regression introduced by:

author	Tamás Zolnai <tamas.zolnai@collabora.com>	2018-01-09 21:36:45 +0100
committer	Tamás Zolnai <tamas.zolnai@collabora.com>	2018-01-10 05:59:14 +0100
commit	aa02ed306f7c633bbffede16e44e8e736977ace4 (patch)
tree	154366b1a656a41a4b880f34573b3388c7c7acbd
parent	0cc38c926eeafab2f8ddb21c2121d3d6aa7b90ae (diff)
tdf#106991: Highlighting remains after select no fill

Bisected with: bibisect-linux64-6.1

Adding Cc: to Tamás Zolnai
Comment 3 QA Administrators 2019-03-16 03:56:06 UTC Comment hidden (obsolete)
Comment 4 Xisco Faulí 2019-03-20 16:22:32 UTC
attachment 146597 [details] from bug 120548 is also affected by this problem
Comment 5 Timur 2019-09-19 08:40:09 UTC
Repro 6.4+ as of today.
Comment 6 NISZ LibreOffice Team 2020-05-14 15:30:25 UTC
Created attachment 160826 [details]
The example file in Word and current Writer master

Looks good in: 

Version: 7.0.0.0.alpha1+ (x64)
Build ID: 1ed7607454d1492f65c78443cb661d5873face6b
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win; 
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL
Comment 7 Gabor Kelemen 2020-05-14 15:39:50 UTC
Fixed with:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=315d56582f8a56d8f2d3ea6cda63ea4832249608

author	László Németh <nemeth@numbertext.org>	2020-04-28 16:48:09 +0200
committer	László Németh <nemeth@numbertext.org>	2020-04-30 09:41:45 +0200

tdf#114799 DOCX import: fix missing numbering highlight
Comment 8 Xisco Faulí 2020-05-19 19:07:46 UTC
Verified in

Version: 7.0.0.0.alpha1+
Build ID: 8209c2569f5726f9ed29f75d30efdccb94f98fe5
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@NISZ team, thanks for fixing this issue!!